- name: install Obsidian
  ansible.builtin.get_url:
    checksum: sha256:f215c1d30545ee9a9803a170df920bf8fa2d5e0a8fa87a21620bca11ae20b9dc
    url: https://github.com/obsidianmd/obsidian-releases/releases/download/v1.1.16/Obsidian-1.1.16.AppImage
    dest: "/home/{{ laptop_user }}/.local/bin/obsidian"
    mode: 0755

- name: add signal repo key
  become: true
  ansible.builtin.apt_key:
    url: https://updates.signal.org/desktop/apt/keys.asc
    state: present
    validate_certs: yes

- name: add signal repo
  become: true
  ansible.builtin.apt_repository:
    repo: deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main
    state: present
    validate_certs: yes

- name: install signal desktop
  become: true
  ansible.builtin.apt: name=signal-desktop state=present

- name: add element repo key
  become: true
  ansible.builtin.apt_key:
    url: https://packages.element.io/debian/element-io-archive-keyring.gpg
    state: present
    validate_certs: yes

- name: add element repo
  become: true
  ansible.builtin.apt_repository:
    repo: deb [arch=amd64] https://packages.element.io/debian/ default main
    state: present
    validate_certs: yes

- name: install element desktop
  become: true
  ansible.builtin.apt: name=element-desktop state=present

- name: install larger packages
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - chromium-browser
    - redshift
    - snapd
    - texlive-full

- name: install snap packages
  become: true
  community.general.snap: name={{ item }}
  with_items:
    - bitwarden
    - spotify

- name: install heroku toolkit from snap
  become: true
  community.general.snap:
    name: heroku
    classic: true
